2010.03.25 04:21
우선 Flash Builder 4가 정식 출시된 것을 환영합니다 ;) 아이콘이 책 모양으로 바뀌었네요. 기존에 Flex 4의 상징이던 회색 아이콘이 아니라 약간 맘에 안들기도 합니다만 ^^  나름 봐줄만 하네요 ;)

Flash Builder 4 초기 실행 화면

Flash Builder 4 초기 실행 화면


본론으로 들어가보도록 하겠습니다.
아래의 이미지에서 확인 할 수 있듯, Flex Builder 3 와 마찬가지 Flash Builder 4 에서도 ANT를 지원하지만, 동일하게 JDT는 없는 관계로 Flash Builder 4에서도 JDT 및 기타 플러그인을 설치하여야 합니다. (설치하면 아래의 이미지에서 ANT View 가 나오겠죠?)

ANT View 가 없군요!!!

ANT View 가 없군요!!!


Flash Builder Beta 2까지만 하더라도, Eclipse 3.4[각주:1] 버전을 기반으로 제작이 되었던 터라, 기존의 방법으로 JDT 를 설치할 수 있었는데요, Flash Builder 4 가 정식버전으로 나오면서 Eclipse 3.5[각주:2] 를 기반으로 제작이 되어있는 관계로 JDT를 설치하는 방법이 조금은 달라졌습니다. 저처럼 헤매는 분들을 위해 포스트를 남겨봅니다.

Flash Builder 4의 Help 메뉴에서  Install New Software 를 선택하게 되면 아래의 이미지와 같은 화면이 나옵니다. Eclipse 의 경우 기존의 방법과 마찬가지로 'The Eclipse Project Update' 같은 항목을 선택하여 JDT를 설치가능 했습니다만, Flash Builder 4 에서는 해당 항목이 기본적으로 존재하지 않습니다. 아래의 이미지에서와 같이 'Add' 버튼을 눌러 항목을 추가하도록 하겠습니다.

'Add' 버튼을 눌러 항목을 추가

'Add' 버튼을 눌러 항목을 추가


이때 Site는 아래의 이미지와 같은 접속정보를 넣도록 하겠습니다.
Name : The Eclipse Project Updates
Location : http://download.eclipse.org/eclipse/updates/3.5

Site 입력

Site 입력


이렇게 추가가 되면 아래와 같이 해당 항목이 선택이 되며 잠시 뒤 설치할 수 있는 항목들이 나타나게 됩니다. 이때, Flash Builder 4의 기반 Eclipse 버전은 3.5.1 인데 반해, 기본적으로 최신 버전을 설치하려고 할 것이기 때문에 (글 쓰는 시간 기준 3.5.2 버전이 최신) 아래의 'Show only the latest versions of available software' 체크를 풀어서 Eclipse SDK 3.5.1 버전을 설치하도록 하겠습니다.

Eclipse SDK 3.5.1 버전을 설치

Eclipse SDK 3.5.1 버전을 설치


위에서 Next 버튼을 누르게 되면 설치하게 되는 항목에 자세한 내용이 아래의 이미지와 같이 출력이 됩니다. 이때 ANT를 위해 필요한 것들은 1. JDT Plug-in Developer, 2. Java Development Tools 입니다.

Eclipse SDK 3.5.1 버전을 설치

Eclipse SDK 3.5.1 버전을 설치


라이센스 정책에 대해 수락하고 나면 바로 설치 가능합니다. 'Finish' 를 누르시죠!



설치하는 중입니다. 꽤나 오랜 시간이 걸리니 기다려보시기 바랍니다 ;)


설치가 다 되면 재시작을 묻는데 'Yes'를 눌러 재시작 하시도록 하겠습니다.



설치는 종료가 되었습니다. 그런데 문제가 있습니다. =ㅂ=;


Eclipse SDK 를 설치했더니 이클립스 처럼 되어버렸네요 :^( 이럴수가!!!!


아무튼 ANT는 잘 보이는 것을 확인 하실 수 있습니다. Eclipse 에 Plugin 형식으로 설치하는 것이 나을런지도 모르겠네요 ;^) 아마도 위의 필요한 플러그인만 따로 복사하면 될 것 같기도 합니다만... ^^;
  1. Eclipse Ganymede (3.4) - http://www.eclipse.org/downloads/packages/release/ganymede/r [본문으로]
  2. Eclipse Galileo (3.5) - http://www.eclipse.org/downloads/packages/release/galileo/r [본문으로]
저작자 표시 비영리 변경 금지
신고
Favicon of http://7zelkova.tistory.com BlogIcon 성주 | 2010.03.25 11:01 신고 | PERMALINK | EDIT/DEL | REPLY
초기 실행할때 이미지 뜨는거 다 저렇게 바뀌는거 같더라고요.
저번에 플래시 캠프갔었을때, 플래시 CS5도 저 모양으로 뜨고, 디바이스센트럴 CS5도 저 모양으로 뜨고.. (물론 다 베타였지만요)

근데 형님 플래시빌더 구입하신거에요?
Favicon of http://blog.flashplatform.kr BlogIcon 검쉰 | 2010.03.25 11:55 신고 | PERMALINK | EDIT/DEL
60일.. ㅋ
Favicon of http://cometkorea.tistory.com BlogIcon comet | 2010.04.01 13:56 신고 | PERMALINK | EDIT/DEL | REPLY
으으 설치하고 나니 전부 한글로 바껴버리네요;; 처음 설치할때 영문버젼으로 설치를 해야겠군요 ㅜ_ㅜ
한글로 나오니 하나도 못알아먹겠다는 흑 ㅜ_ㅜ
Favicon of http://blog.jidolstar.com BlogIcon 지돌스타 | 2010.04.06 15:15 신고 | PERMALINK | EDIT/DEL | REPLY
멋진 글~~~~
Favicon of http://blog.83rpm.com BlogIcon 동범이 | 2010.09.30 09:07 신고 | PERMALINK | EDIT/DEL | REPLY
ANT 설치하려고 검색하다가 글 봤습니다. ㅋ

노가다를 좀 했지만 JDT는 잘 깔았네요. 도움 많이 됐습니다. 트랙백 걸고 갈께요. ^^
리한 | 2010.11.03 18:36 신고 | PERMALINK | EDIT/DEL | REPLY
검신님.. 이블로그 내용대로 하면
말씀하신 문제대로 플래시빌더가 이클립스화(?) 되어버리는데요 ㅠㅠ
Ant 플러그인만 따로 설치하는 방법은 없는건가요?
여러가지로.. 이클립스화 된 플래시빌더는 적응이안되는터라 덧글을 남겨봅니다.
- 덧글 좀..(굽신굽신) : 장문의 덧글은 트랙백을 이용해주세요 ;^)
Name
Password
Homepage
Secret

티스토리 툴바